<?php namespace SokoWeb\Interfaces\Http;

interface IRequest
{
    const HTTP_GET = 'GET';

    const HTTP_POST = 'POST';

    const HTTP_PUT = 'PUT';

    const HTTP_PATCH = 'PATCH';

    const HTTP_DELETE = 'DELETE';

    public function setUrl(string $url): void;

    public function setMethod(string $method): void;

    public function setQuery($query): void;

    public function setBody(string $body): void;

    public function setHeaders(array $headers): void;

    public function send(): IResponse;
}
